import React, {
  useState,
  useEffect,
} from 'react';
import { csv } from 'd3';
import { keyThemes } from './keyThemes';

const csvUrl =
  'https://gist.githubusercontent.com/kragovic/8561ae65c561f0fd83cb24df65f93c0a/raw/8ccb20d384c59b2b8d5cb7ca2ef9dab8ae4d965c/Key_themes.csv';

export const useData = () => {
  const [data, setData] = useState(null);

  const row = (d) => {
    d.Proportion = Math.round(+d.Proportion * 10) / 10;
    return d;
  };

  useEffect(() => {
    csv(csvUrl, row).then((data) => {
      //setData(data.filter(d => keyThemes.includes(d.Theme)));
      setData(data);
    });
  }, []);
  return data;
};